For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList audio enhancements
      • POSTCreate audio enhancement
      • GETGet audio enhancement
Status
LogoLogo
API ReferenceAudio Enhancement

Get audio enhancement

GET
https://app.resemble.ai/api/v2/audio_enhancements/:enhancement_uuid
GET
/api/v2/audio_enhancements/:enhancement_uuid
$curl https://app.resemble.ai/api/v2/audio_enhancements/enhancement_uuid \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "uuid": "string",
4 "status": "pending",
5 "enhanced_audio_url": "string",
6 "error_message": "string"
7}
Poll this endpoint to check the status of an enhancement job and retrieve the download URL when complete.
Was this page helpful?
Previous

List agents

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

enhancement_uuidstringRequired
The UUID returned from the create endpoint.

Response

Enhancement details
successboolean
uuidstring
statusenum
Allowed values:
enhanced_audio_urlstring or nullformat: "uri"
Download URL. Only present when status is completed. This is a temporary signed URL.
error_messagestring or null

Human-readable error. Only present when status is failed.

Errors

404
Not Found Error